Bug 1384676 - [abrt] virt-manager: strlen(): python2.7 killed by SIGSEGV
Summary: [abrt] virt-manager: strlen(): python2.7 killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: spice-gtk
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Victor Toso
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:4553b9b5319f00e0d5f720120c6...
: 1388304 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-13 20:09 UTC by dimapunk80
Modified: 2016-10-28 00:43 UTC (History)
11 users (show)

Fixed In Version: spice-gtk-0.33-2.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-28 00:43:04 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (161.71 KB, text/plain)
2016-10-13 20:09 UTC, dimapunk80
no flags Details
File: cgroup (242 bytes, text/plain)
2016-10-13 20:09 UTC, dimapunk80
no flags Details
File: core_backtrace (11.53 KB, text/plain)
2016-10-13 20:09 UTC, dimapunk80
no flags Details
File: dso_list (27.88 KB, text/plain)
2016-10-13 20:09 UTC, dimapunk80
no flags Details
File: environ (913 bytes, text/plain)
2016-10-13 20:09 UTC, dimapunk80
no flags Details
File: limits (1.29 KB, text/plain)
2016-10-13 20:09 UTC, dimapunk80
no flags Details
File: maps (126.56 KB, text/plain)
2016-10-13 20:10 UTC, dimapunk80
no flags Details
File: mountinfo (3.96 KB, text/plain)
2016-10-13 20:10 UTC, dimapunk80
no flags Details
File: namespaces (102 bytes, text/plain)
2016-10-13 20:10 UTC, dimapunk80
no flags Details
File: open_fds (3.01 KB, text/plain)
2016-10-13 20:10 UTC, dimapunk80
no flags Details
File: proc_pid_status (1.12 KB, text/plain)
2016-10-13 20:10 UTC, dimapunk80
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-10-13 20:10 UTC, dimapunk80
no flags Details
File: exploitable (168 bytes, application/octet-stream)
2016-10-13 20:10 UTC, dimapunk80
no flags Details

Description dimapunk80 2016-10-13 20:09:42 UTC
Version-Release number of selected component:
virt-manager-1.4.0-3.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/python2 /usr/share/virt-manager/virt-manager
crash_function: strlen
executable:     /usr/bin/python2.7
global_pid:     10257
kernel:         4.8.1-1.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 strlen at ../sysdeps/x86_64/strlen.S:106
 #1 clipboard_received_text_cb at spice-gtk-session.c:953
 #2 request_text_received_func at gtkclipboard.c:1061
 #3 selection_received at gtkclipboard.c:960
 #7 g_signal_emit_by_name at gsignal.c:3487
 #8 gtk_selection_retrieval_report at gtkselection.c:3031
 #9 _gtk_selection_notify at gtkselection.c:2835
 #10 _gtk_marshal_BOOLEAN__BOXEDv at gtkmarshalers.c:131
 #11 _g_closure_invoke_va at gclosure.c:867
 #14 gtk_widget_event_internal at gtkwidget.c:7721

Comment 1 dimapunk80 2016-10-13 20:09:51 UTC
Created attachment 1210253 [details]
File: backtrace

Comment 2 dimapunk80 2016-10-13 20:09:52 UTC
Created attachment 1210254 [details]
File: cgroup

Comment 3 dimapunk80 2016-10-13 20:09:54 UTC
Created attachment 1210255 [details]
File: core_backtrace

Comment 4 dimapunk80 2016-10-13 20:09:56 UTC
Created attachment 1210256 [details]
File: dso_list

Comment 5 dimapunk80 2016-10-13 20:09:58 UTC
Created attachment 1210257 [details]
File: environ

Comment 6 dimapunk80 2016-10-13 20:09:59 UTC
Created attachment 1210258 [details]
File: limits

Comment 7 dimapunk80 2016-10-13 20:10:02 UTC
Created attachment 1210259 [details]
File: maps

Comment 8 dimapunk80 2016-10-13 20:10:04 UTC
Created attachment 1210260 [details]
File: mountinfo

Comment 9 dimapunk80 2016-10-13 20:10:05 UTC
Created attachment 1210261 [details]
File: namespaces

Comment 10 dimapunk80 2016-10-13 20:10:07 UTC
Created attachment 1210262 [details]
File: open_fds

Comment 11 dimapunk80 2016-10-13 20:10:09 UTC
Created attachment 1210263 [details]
File: proc_pid_status

Comment 12 dimapunk80 2016-10-13 20:10:10 UTC
Created attachment 1210264 [details]
File: var_log_messages

Comment 13 dimapunk80 2016-10-13 20:10:12 UTC
Created attachment 1210265 [details]
File: exploitable

Comment 14 Victor Toso 2016-10-17 13:12:34 UTC
Fixed upstream: 03c016bea939ee4a26e90d80fa1012a993a8ea47

Comment 15 Victor Toso 2016-10-25 12:14:54 UTC
*** Bug 1388304 has been marked as a duplicate of this bug. ***

Comment 16 Fedora Update System 2016-10-26 20:32:55 UTC
spice-gtk-0.33-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-df50191bc8

Comment 17 Fedora Update System 2016-10-28 00:43:04 UTC
spice-gtk-0.33-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.